upgrade thunderbird locales for 2.0.0.x and include new upstream translations

Bug #230209 reported by Alexander Sack on 2008-05-14
42
Affects Status Importance Assigned to Milestone
thunderbird-locales (Ubuntu)
Wishlist
Saivann Carignan
Nominated for Intrepid by Alexander Sack
Hardy
Wishlist
Unassigned

Bug Description

iirc, we still have the 2.0.0.0 locales in the archive. we should put some work into updating those to latest and include new languages added upstream in the meantime.

Alexander Sack (asac) wrote :

worthwhile to consider for 8.04.1

Changed in thunderbird-locales:
importance: Undecided → Wishlist
status: New → Triaged
importance: Undecided → Wishlist
milestone: none → ubuntu-8.04.1
status: New → Triaged
Alexander Sack (asac) wrote :

saivann, wanna take this?

Changed in thunderbird-locales:
assignee: nobody → saivann
Saivann Carignan (oxmosys) wrote :

Why not? I'll take care of this. I will come back to you on IRC with a new package for intrepid and hardy-updates very soon (probably tomorrow if everything goes well).

On Wed, May 14, 2008 at 08:28:28PM -0000, Sa??vann Carignan wrote:
> Why not? I'll take care of this. I will come back to you on IRC with a
> new package for intrepid and hardy-updates very soon (probably tomorrow
> if everything goes well).
>

Thanks. remember that i will be travelling tomorrow; hopefully on
friday i will have access to internet again. see you then.

 - Alexander

Changed in thunderbird-locales:
status: Triaged → In Progress
assignee: nobody → saivann
status: Triaged → In Progress
Saivann Carignan (oxmosys) wrote :

New source packages are available here. No special modification was needed, only cleaned old xpi files and executed debian/rules update-xpi and changed the FETCHADDRESS for the more recent one. No previous translation has been dropped, and all locales has been individually tested by me, everything works as expected.

http://upload.leservicetechnique.com/bugs/thunderbird-locales_2.0.0.14+1_intrepid.tar.gz
http://upload.leservicetechnique.com/bugs/thunderbird-locales_2.0.0.14+1_hardy-proposed.tar.gz

Steve Langasek (vorlon) wrote :

Alexander, do you still intend to upload these updated locales for 8.04.1?

Steve Langasek (vorlon) on 2008-06-30
Changed in thunderbird-locales:
milestone: ubuntu-8.04.1 → none
Alexander Sack (asac) wrote :

dropping milestone. this should be done in sync with a normal translation update - as we regularly do for the launchpad exports.

Alexander Sack (asac) wrote :

arne, when is the next update for stable translations scheduled? can we include this in that process?

Changed in thunderbird-locales:
assignee: saivann → nobody
status: In Progress → Triaged
assignee: saivann → nobody
status: In Progress → Triaged
Alexander Sack (asac) wrote :

On Tue, Jul 08, 2008 at 11:20:24PM -0000, Saïvann Carignan wrote:
> ** Changed in: thunderbird-locales (Ubuntu)
> Assignee: Saïvann Carignan (saivann) => (unassigned)
> Status: In Progress => Triaged
>
> ** Changed in: thunderbird-locales (Ubuntu Hardy)
> Assignee: Saïvann Carignan (saivann) => (unassigned)
> Status: In Progress => Triaged
>

 affects ubuntu/thunderbird-locales
 status triaged
 assignee arnegoetje

 - Alexander

Alexander Sack (asac) on 2008-07-14
Changed in thunderbird-locales:
assignee: nobody → arnegoetje
Jani Monoses (jani) wrote :

Unless the Romanian translation is included in the next Thunderbird release, or if 2.0.0.15 does not get released in time for Intrepid, please consider dropping this in the xpi/ dir as ro.xpi
http://diacritice.ro/bazaconii/thunderbird-ro-latest.xpi

It is 100% done and has been filed upstream as well

https://bugzilla.mozilla.org/show_bug.cgi?id=382659

Saivann Carignan (oxmosys) wrote :

I uploaded exactly the same packages that I previously recommended for intrepid and hardy-proposed, but also including ro locale tested and working. Packages including ro for intrepid and hardy can be downloaded here :

http://upload.leservicetechnique.com/bugs/thunderbird-locales_2.0.0.14+1_with-ro_intrepid.tar.gz
http://upload.leservicetechnique.com/bugs/thunderbird-locales_2.0.0.14+1_with-ro_hardy-proposed.tar.gz

Alexander Sack (asac) wrote :

reviewed and uploaded to ubuntu/intrepid.
Thanks for your work.

Changed in thunderbird-locales:
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package thunderbird-locales - 1:2.0.0.14+1-0ubuntu1

---------------
thunderbird-locales (1:2.0.0.14+1-0ubuntu1) intrepid; urgency=low

  * update all xpi/* packages to latest 2.0.0.14 versions (LP: #230209)
  * Add new xpi packages from 2.0.0.14
  * debian/rules: Update FETCHADDRESS
  * ro.xpi: Add Romanian locale from
    http://diacritice.ro/bazaconii/thunderbird-ro-latest.xpi

 -- Saivann Carignan <email address hidden> Wed, 14 May 2008 17:13:42 -0400

Changed in thunderbird-locales:
status: Fix Committed → Fix Released
Alexander Sack (asac) wrote :

initiating SRU procedure.

Changed in thunderbird-locales:
status: Triaged → In Progress
Alexander Sack (asac) wrote :

reassigning to saivann, to reflect reality

Changed in thunderbird-locales:
assignee: arnegoetje → saivann
Alexander Sack (asac) wrote :

uploaded thunderbird-locales_2.0.0.14+1-0ubuntu1~8.04.1_source.changes to hardy-proposed. Thanks for your work.

Changed in thunderbird-locales:
assignee: nobody → saivann
Steve Langasek (vorlon) wrote :

Accepted into -proposed, please test and give feedback here. Please see https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in thunderbird-locales:
status: In Progress → Fix Committed
Saivann Carignan (oxmosys) wrote :

launchpad build system says that thunderbird locales successfully built and the build logs looks OK, but it's been 6 days and the deb are still not in the repository. Is there a problem with launchpad build system?

Cesare Tirabassi (norsetto) wrote :

It has to go through the binary queue first:

https://launchpad.net/ubuntu/hardy/+queue

since there are new binaries.

Steve Langasek (vorlon) wrote :

Thanks for the ping; the binaries were stuck in the NEW queue, since this
upload adds locales that weren't present in hardy. These have been accepted
now.

Saivann Carignan (oxmosys) wrote :

I already tested all locales before uploading and all locales worked correctly. Since the upload, I didn't test them all, but all locales that I test or use works perfectly, and no locales seems to be missing.

Changed in thunderbird-locales:
assignee: saivann → nobody
Saivann Carignan (oxmosys) wrote :

Can someone else install locales and give feedback?

Martin Pitt (pitti) wrote :

Copied to hardy-updates.

Changed in thunderbird-locales:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.